<script setup>
import useUtils from "@/utils/utils.js";

const utils = useUtils()

const props = defineProps(["v-bits"])
const {format} = (function () {
	let bits = props.vBits
	if (typeof bits != "number") {
		bits = 0
	}
	let format = utils.splitFormat(utils.formatBits(bits))
	return {
		format: format
	}
})()

</script>

<template>
	<var class="normal">
		<span>{{format[0]}}</span>{{format[1]}}
	</var>
</template>

<style scoped>

</style>